import {httpApi} from "../../request/httpApi";

export default {
    async queryTreeList(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryContractWbsTreeByContractIdAndType',
            method: 'get',
            params: form,
        });
    },
    async queryConstructionPage(form) {
        return httpApi({
            url: '/api/blade-business/constructionLedger/list',
            method: 'post',
            data: form,
        })
    },
    async updateConstructionPage(form) {
        return httpApi({
            url: '/api/blade-business/constructionLedger/update',
            method: 'post',
            data: form,
        })
    },
    //获取当前合同段下的日志类型
    async queryLogList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryCurrentContractLogList',
            method: 'get',
            params: form,
        })
    },
    //获取当前日志类型的填报人
    async queryFillUser(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryFillUser',
            method: 'get',
            params: form,
        })
    },
    //施工日志分页
    async constructionLogPage(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/constructionLogPage',
            method: 'post',
            data: form,
        })
    },
    //批量废除
    async batchAbolish(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/batchAbolish',
            method: 'post',
            params: form,
        })
    },
    //获取合同段当前日志节点下的填报日期记录
    async getSubmitLogDateList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/getSubmitLogDateList',
            method: 'post',
            params: form,
        })
    },
    //清表生成html
    // async getExcelHtml(form) {
    //     return httpApi({
    //         url: '/api/blade-manager/exceltab/get-excel-html',
    //         method: 'get',
    //         params: form
    //     });
    // },
    async getExcelHtml(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-excel-html-two',
            method: 'get',
            params: form,
        })
    },
    //获取表单数据
    async getBussDataInfo(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-the-log-business-data',
            method: 'get',
            params: form,
        })
    },
    //获取表单数据
    async getTheLogBusinessData(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-the-log-business-data',
            method: 'get',
            params: form,
        })
    },
    //填报页面数据保存
    async saveExcelBussData(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/save_log_first_buss_data',
            method: 'post',
            data: form,
        })
    },
    //单表pdf预览
    async getBussPdfInfo(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-the-log-pdfInfo',
            method: 'get',
            params: form,
        })
    },
    //获取当前日志资料关联的工序节点信息
    async queryCurrentLogSelectProcessList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryCurrentLogSelectProcessList',
            method: 'post',
            params: form,
        })
    },
    //获取当前资料的任务状态
    async checkTheLogTaskStatus(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/checkTheLogTaskStatus',
            method: 'get',
            params: form,
        })
    },
    //预览、打印
    async theLogPreviewAndPrint(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/theLogPreviewAndPrint',
            method: 'post',
            data: form,
        })
    },
    //废除
    async theLogOneAbolish(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/oneAbolish',
            method: 'get',
            params: form,
        })
    },
    //删除
    async theLogRemoveByIds(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/removeByIds',
            method: 'post',
            data: form,
        })
    },
    //获取当前合同段下本日志节点的填报资料日期树
    async queryReportLogTimeTree(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryReportLogTimeTree',
            method: 'get',
            params: form,
        })
    },
    //获取填报记录
    async queryLogTimeTreeList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryLogList',
            method: 'get',
            params: form,
        })
    },
    //复制任意时间
    async copyTheLogBusinessData(form) {
        return httpApi({
            url: '/api/blade-manager/exceltab/copy-the-log-business-data',
            method: 'get',
            params: form,
        })
    },
}
